%define pypi_name llfuse

Name:               python-%{pypi_name}
Version:            1.5.0
Release:            %mkrel 4
Summary:            Python Bindings for the low-level FUSE API
Group:              Development/Python
License:            LGPLv2+
URL:                https://github.com/python-llfuse/python-llfuse/
Source0:            %{pypi_source}
#Patch0:             python3.8.patch
BuildRequires: pyproject-rpm-macros
BuildRequires:      pkgconfig(fuse)
BuildRequires:      python3-devel
BuildRequires:      python3dist(setuptools)
BuildRequires:      python3dist(cython)

%description
LLFUSE is a set of Python bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%package -n python3-%{pypi_name}
Summary:            Python Bindings for the low-level FUSE API Python 3 packages
Group:              Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
LLFUSE is a set of Python 3 bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1


# re-generate sources
find . -type f -name "llfuse.c" -print -delete

%build
%__python3 setup.py build_cython
%pyproject_wheel

rm doc/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files llfuse

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc Changes.rst doc/html


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.5.0-4.mga10
+ Revision: 2238515
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.5.0-3.mga10
+ Revision: 2155225
- rebuild for python3.13

* Thu Dec 28 2023 papoteur <papoteur> 1.5.0-2.mga10
+ Revision: 2023364
- rebuild for python 3.12

* Sun Oct 22 2023 papoteur <papoteur> 1.5.0-1.mga10
+ Revision: 2000287
- new 1.5.0

* Wed Sep 07 2022 neoclust <neoclust> 1.4.2-1.mga9
+ Revision: 1884901
- New version  1.4.2

* Sun Mar 27 2022 umeabot <umeabot> 1.4.1-3.mga9
+ Revision: 1829383
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.4.1-2.mga9
+ Revision: 1783831
- rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 1.4.1-1.mga9
+ Revision: 1743430
- new version 1.4.1

* Tue Apr 20 2021 daviddavid <daviddavid> 1.3.6-3.mga9
+ Revision: 1717284
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.6-2.mga8
+ Revision: 1531067
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 wally <wally> 1.3.6-1.mga8
+ Revision: 1438955
- new version 1.3.6
- drop python2 support
- rebuild for python3.8

* Wed Jan 09 2019 kekepower <kekepower> 1.3.5-1.mga7
+ Revision: 1352932
- Removed merged Patch0
- Update to version 1.3.5
- Rebuild for Python 3.7
+ tv <tv>
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-2.mga7
+ Revision: 1300518
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 daviddavid <daviddavid> 1.3.2-1.mga7
+ Revision: 1203545
- new version: 1.3.2
- rename python-llfuse to python2-llfuse
- add patch to replace <attr/xattr.h> with <sys/xattr.h>
+ pterjan <pterjan>
- Rebuild for python 3.6

* Sat Aug 05 2017 philippem <philippem> 0.41.1-4.mga7
+ Revision: 1135466
- rebuild for Python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 0.41.1-3.mga6
+ Revision: 958617
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.41.1-2.mga6
+ Revision: 889153
- rebuild for python 3.5

* Tue Sep 29 2015 philippem <philippem> 0.41.1-1.mga6
+ Revision: 885194
- imported package python-llfuse

